FILL-FS(1)

NAME
fill-fs - Annotate VCF with flanking sequence

SYNOPSIS
fill-fs [OPTIONS] file.vcf

DESCRIPTION
About: Annotate VCF with flanking sequence (INFO/FS tag)

OPTIONS

-b, --bed-mask <file>
    Regions to mask (tabix indexed), multiple files can be given

-c, --cluster <int>
    Do self-masking of clustered variants within this range.

-l, --length <int>
    Flanking sequence length [100]

-m, --mask-char <char|lc>
    The character to use or "lc" for lowercase. This option must precede -b, -v or -c in order to take effect. With multiple files works

    as a switch on the command line, see the example below [N]

-r, --refseq <file>
    The reference sequence.

-v, --vcf-mask <file>
    Mask known variants in the flanking sequence, multiple files can be given (tabix indexed)

-h, -?, --help
    This help message.

  Example:

    # Mask variants from the VCF file with N's and use lowercase for the bed file regions fill-fs file.vcf -v mask.vcf -m lc -b mask.bed